Subject: bug#64619: [PATCH] Add toggle-window-dedicated command

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Aug 2023 11:54:40 +0300

> Date: Sun, 20 Aug 2023 08:41:50 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked], 
>     [email-masked], [email-masked], [email-masked]
> 
> >> IMO it would be much cleaner to just strongly dedicate the window in 
> >> toggle-window-dedicated, and to add a note in its docstring pointing to 
> >> switch-to-buffer-in-dedicated-window and explaining that that option 
> >> should be used to decide what happens with C-x b.
> >
> > So you are saying that opinions of people who disagree with you should 
> > be simply disregarded?
> 
> Hmmm... no.  Where do you see that?  I'm simply saying that a user option 
> to control how C-x b behaves with a (strongly) dedicated window already 
> exists, which means that the behavior that Spencer found annoying can 
> already be tweaked, and that it is not necessary to add yet another user 
> option to control that behavior.

A user who didn't customize switch-to-buffer-in-dedicated-window does
not necessarily want his/her dedicated windows to be strongly
dedicated by default.  Which is why one of the alternatives I
suggested is to use the value of that variable as the indication which
kind of dedication to use by default.